( IN-PACKAGE :TDWsoft )
( USE-PACKAGE :OLI )

;(* ********************************************************************** *)
;(*                               TDWsoft GmbH                             *)
;(*                  Entwicklung und Vertrieb von Software                 *)
;(* ====================================================================== *)
;(*        C O N T A C T   A D D R E S S    &    C O P Y R I G H T         *)
;(*                                                                        *)
;(* TDWsoft GmbH                             eMail: info@tdwsoft.com       *)
;(* Jahnstrasse 9                            WWW:   www.tdwsoft.com        *)
;(* D-76689 Karlsdorf-NEUTHARD               Fax:   +49 (0)7251 349143     *)
;(* ====================================================================== *)
;(* File Name          : passcust.lsp ................................... *)
;(* File Version       : 01.00                                             *)
;(* ********************************************************************** *)

;---------------------------------------------------
; globale Variable vorbelegen
;---------------------------------------------------

( DEFVAR *pass_settings* NIL )

;---------------------------------------------------
; Definition globaler Pfad-Variablen
;---------------------------------------------------

; globaler Pfad zur Dokumentation der Unit

( DEFCONSTANT *pass_para_file_path* ( SD-INQ-TEMP-DIR ))   ; Pfad zur Ablage der Parameterdateien
( DEFCONSTANT *tdwsoft_pass_path* ( FORMAT NIL "~A/unit-sd-pass" ( SD-SYS-GETENV "TDWSOFT_PATH" )))

;---------------------------------------------------
; Laden der Annotation - Lisp - Dateien
;---------------------------------------------------

( Tdw-unitfile-universal-load *tdwsoft_pass_path* "passdialog" )
( Tdw-unitfile-universal-load *tdwsoft_pass_path* "passmenu" )
( Tdw-unitfile-universal-load *tdwsoft_pass_path* "passmain" )

( LOAD ( FORMAT NIL "~A/passconf.lsp"   *tdwsoft_pass_path* ))

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen

( LOAD ( FORMAT NIL "~A/passconf_~(~A~).lsp" *tdwsoft_pass_path* ( SD-SYS-GETENV "TDWSOFT_SITE" )) :IF-DOES-NOT-EXIST NIL )

;------------------------------------------------------------------------------------------------
; Laden der Annotation - Makro - Dateien
;------------------------------------------------------------------------------------------------

( Tdw-unitfile-anno-conf-load ( FORMAT NIL "~A/anno" *tdwsoft_pass_path* ) "passconf" )

( Tdw-unitfile-anno-macro-load ( FORMAT NIL "~A/anno" *tdwsoft_pass_path* ) "cslmain" )
( Tdw-unitfile-anno-macro-load ( FORMAT NIL "~A/anno" *tdwsoft_pass_path* ) "a18anno" )

;------------------------------------------------------------------------------------------------
; Laden der Annotation - Makro - Konfigurations - Dateien
;------------------------------------------------------------------------------------------------

( Tdw-unitfile-anno-conf-load ( FORMAT NIL "~A/anno" *tdwsoft_pass_path* ) "passconf" )

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen
;------------------------------------------------------------------------------------------------

( Tdw-unitfile-anno-conf-load *tdwsoft_pass_path* ( FORMAT NIL "passconf_~(~A~)" ( SD-SYS-GETENV "TDWSOFT_SITE" )))

;------------------------------------------------------------------------------------------------
; Laden der Annotation - Makro - Tabllen - Dateien
;------------------------------------------------------------------------------------------------

( Tdw-unitfile-anno-conf-load ( FORMAT NIL "~A/anno" *tdwsoft_pass_path* ) "passltab" )

;------------------------------------------------------------------------------------------------
; Belegung globaler Variablen im Annotation
;------------------------------------------------------------------------------------------------

;------------------------------------------------------------------------------------------------
; Programmstart
;------------------------------------------------------------------------------------------------

( pass-main-start )
